PDT 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
PDT 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
PDT 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !

软件简介

PDT提供了一个Eclipse平台上的PHP开发工具框架。这个项目包含了所有必要的开发组件开发PHP和方便的可扩展性。它利用现有的Web工具平台和动态语言工具( DLTK )提供开发用PHP能力。

展开阅读全文

评论 (0)

加载中
更多评论
暂无内容
发表于服务端专区
2014/07/12 12:47

eclipse 安装 PDT插件

http://www.eclipse.org/pdt/index.html#download 注意:本人使用http://download.eclipse.org/tools/pdt/updates/3.3在线安装总是失败 可以使用http://download.eclipse.org/tools/pdt/updates/3.3-nightly

0
0
发表了博客
2014/05/18 10:15

【注意】PDT不支持Eclipse3.7.2和4.3.2

对于3.7.2,不支持代码提示,但是却可以通过CTRL+鼠标左键定位方法声明! 对于4.3.2,支持代码提示,但是无法通过CTRL+鼠标左键定位方法声明! 这2个版本是现在Eclipse官网上首推的2个版本,但是PDT都是有问题。 Eclipse4.2没有试,所以不发表意见。 我下载了3.6.2,也就是那个Helios R2,这个列表中直接就有一个Eclipse for PHP Developers。 地址在这儿:http://www.eclipse.org/downloads/packages/eclipse-php-developers/...

0
0
发表于服务端专区
2014/05/29 13:53

给PDT安装XDebug or Zend Debugger

http://www.eclipse.org/pdt/articles/debugger/os-php-eclipse-pdt-debug-pdf.pdf

0
0
发表了博客
2015/12/24 13:23

细谈eclipse PDT开发WordPress插件

WordPress 是用 PHP 编写的一个 Web 发布平台,存储部分使用的是 MySQL。它的可扩展性表现在通过构建插件可以添加过滤器和行为。Eclipse PHP Development Tools (PDT) V2.0 项目允许您使用 Eclipse 来构建 PHP 应用程序。by the way,wordpress本身有许多插件和Joomla一样可以安装,这里我说的是通过eclipse pdt自定义PHP插件不是更好。 Do it yourself 前提,需要安装以下工具: PHP V6.0 或更新的版本 MySQL V4.0 或更新的版本...

0
2
2013/08/09 18:50

PayPal申请PDT Token与API详细流程

对于外贸B2C网站(在线商城)的商户,在线集成PayPal是首选了。大家常咨询的问题是:如何在PayPal插件后台申请PayPal API和获取Token码? paypal顾问cindy现在图文讲解一下两种必备品的获取流程,希望能够帮助到有需要的朋友!另外大家有任何问题,建议和我取得联系。 一、PDT Token获取方法: 首先登陆各自的PayPal账户后台,鼠标移至“用户信息”,出现并点击“更多选项”。具体位置在,“销售工具”里面的网站习惯设定里面,...

0
0
发表了博客
2019/04/04 13:27

com.mysql.cj.exceptions.InvalidConnectionAttributeException: The server time zone value 'PDT&...

SpringBoot连接数据库的时候报错 java.sql.SQLException: The server time zone value 'PDT' is unrecognized or represents more than one time zone. You must configure either the server or JDBC driver (via the serverTimezone configuration property) to use a more specifc time zone value if you want to utilize time zone support. at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.j...

0
0
发表于服务端专区
2016/08/26 14:58

mac环境下在Eclipse for php(PDT)配置php-cli

1、设置 打开PDT的偏好设置,找到php -> PHP executables -> Add... 输入一下内容(具体看个人环境),mac下默认: 2、测试 <?php echo phpinfo(); ?> 邮件选择PHP CLI执行。结果console中输出如下:

0
0
发表了博客
2019/08/21 16:02

Linux 修改时区(PDT修改为CST)

方法1: Linux 修改时区 本文链接:https://blog.csdn.net/Aritem/article/details/79213306 命令:tzselect 按照顺序依次输入5,9,1,1 [root@master conf]# tzselect -select a time zone Please identify a location so that time zone rules can be set correctly. Please select a continent or ocean. 1) Africa 2) Americas 3) Antarctica 4) Arctic Ocean 5) Asia 6) Atlantic Ocean 7) Australia 8) E...

0
0
2015/04/30 10:55

GMT、UTC、PDT 时间是什么?Linux下如何调整时区

GMT GMT 是 Greenwich Mean Time 的缩写,译为中文为“格林威治标准时间”或“格林尼治标准时间”,直译的话,可译为“格林威治平时”或“格林尼治平时”。这里的格林威治位于英国伦敦东南方向的泰晤士河畔,美国也有个格林威治镇,不过与时间没关系。 UTC UTC 是 Coordinated Universal Time 的缩写,译为中文为“世界标准时间”,直译的话,可译为“协调通用时间”或“协调世界时间”。目前来说也就是指 GMT 时间。为什么说目...

0
0
发表于数据库专区
2019/09/15 14:14

spring boot The server time zone value 'PDT' is unrecognized or represents more than one time zone.

spring boot启动项目时,发现数据库抛如下错误 Caused by: com.mysql.cj.exceptions.InvalidConnectionAttributeException: The server time zone value 'PDT' is unrecognized or represents more than one time zone. You must configure either the server or JDBC driver (via the serverTimezone configuration property) to use a more specifc time zone value if you want to utilize time zone support. at sun.refle...

0
1
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
发表了问答
2013/07/27 21:38

Eclipse插件PDT安装失败,求支援!

报如下错: Cannot complete the install because one or more required items could not be found. Software being installed: PHP Development Tools (PDT) 3.1.2.201212211235 (org.eclipse.php.feature.group 3.1.2.201212211235) Missing requirement: PDT Core Plug-in 3.1.2.201212211235 (org.eclipse.php.core 3.1.2.201212211235) requires 'bundle org.eclipse.dltk.core.index.sql [4.0.0,5.0.0)' but it could not...

9
2
发表了问答
2013/07/02 11:27

eclipse 4.3 安装PDT不成功

安装不成功,虽然安装上了,但是对于函数的提示显示不出来,4.2就是正常的,大家升级了吗? 我看还有兄弟用的是3.8呢,是否3.8也可以使用最新的pdt呢?

12
0
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
0 评论
25 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部